%define enable_autoreconf 0

Name:          pam-u2f
Version:       1.3.0
Release:    1%{?dist}
Summary:       Implements PAM authentication over U2F

License:       BSD-2-Clause
URL:           https://github.com/Yubico/pam-u2f
Source0:       https://developers.yubico.com/pam-u2f/Releases/pam_u2f-%{version}.tar.gz
Source1:       https://developers.yubico.com/pam-u2f/Releases/pam_u2f-%{version}.tar.gz.sig
Source2:       yubico-release-gpgkeys.asc

BuildRequires: gnupg2
BuildRequires: make
BuildRequires: gcc
BuildRequires: pam-devel
BuildRequires: pkgconfig(libfido2)
%if 0%{?enable_autoreconf}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
%endif

%description
The PAM U2F module provides an easy way to integrate the Yubikey (or
other U2F-compliant authenticators) into your existing user
authentication infrastructure.

%package -n pamu2fcfg
Summary:       Configures PAM authentication over U2F
Requires:      %{name} = %{version}-%{release}

%description -n pamu2fcfg
pamu2fcfg provides a command line tool for configuring PAM authentication
over U2F.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -n pam_u2f-%{version}

%build
%if 0%{?enable_autoreconf}
autoreconf -vif
%endif
%configure --with-pam-dir=%{_libdir}/security
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete

%check
make check

%files
%doc AUTHORS NEWS README
%license COPYING
%{_mandir}/man8/*
%{_libdir}/security/*

%files -n pamu2fcfg
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-1
- initial build
